import { CSSProperties } from "react";
export type ToastType = "success" | "error" | "warning";
export type ToastDuration = 2000 | 3000 | number;
export type ToastPosition = "top" | "right" | "bottom" | "left" | "center";
export interface CreateToastProps {
    type: ToastType;
    message: string;
    position: ToastPosition;
    duration?: ToastDuration;
    textStyle?: CSSProperties;
    containerStyle?: CSSProperties;
}
